package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.compensation.basedata.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class AccountEntity extends SHRBaseItem implements IAccountEntity
{
    public AccountEntity()
    {
        super();
        registerInterface(IAccountEntity.class, this);
    }
    public AccountEntity(Context ctx)
    {
        super(ctx);
        registerInterface(IAccountEntity.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("91A1612C");
    }
    private AccountEntityController getController() throws BOSException
    {
        return (AccountEntityController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public AccountEntityInfo getAccountEntityInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAccountEntityInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public AccountEntityInfo getAccountEntityInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAccountEntityInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public AccountEntityInfo getAccountEntityInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAccountEntityInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public AccountEntityCollection getAccountEntityCollection() throws BOSException
    {
        try {
            return getController().getAccountEntityCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public AccountEntityCollection getAccountEntityCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAccountEntityCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public AccountEntityCollection getAccountEntityCollection(String oql) throws BOSException
    {
        try {
            return getController().getAccountEntityCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}